//www.elegoo.com
//2016.12.9

/*
  LiquidCrystal Library - Hello World

 Demonstrates the use a 16x2 LCD display.  The LiquidCrystal
 library works with all LCD displays that are compatible with the
 Hitachi HD44780 driver. There are many of them out there, and you
 can usually tell them by the 16-pin interface.

 This sketch prints "Hello World!" to the LCD
 and shows the time.

  The circuit:
 * LCD RS pin to digital pin 7
 * LCD Enable pin to digital pin 8
 * LCD D4 pin to digital pin 9
 * LCD D5 pin to digital pin 10
 * LCD D6 pin to digital pin 11
 * LCD D7 pin to digital pin 12
 * LCD R/W pin to ground
 * LCD VSS pin to ground
 * LCD VCC pin to 5V
 * 10K resistor:
 * ends to +5V and ground
 * wiper to LCD VO pin (pin 3)

 Library originally added 18 Apr 2008
 by David A. Mellis
 library modified 5 Jul 2009
 by Limor Fried (http://www.ladyada.net)
 example added 9 Jul 2009
 by Tom Igoe
 modified 22 Nov 2010
 by Tom Igoe

 This example code is in the public domain.

 http://www.arduino.cc/en/Tutorial/LiquidCrystal
 */

// include the library code:
#include <LiquidCrystal.h>

int index = 0;
int rngnum = 1;
int pause_for_button = 500;
int debug = 0;

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(7, 8, 9, 10, 11, 12);

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  pinMode(4, INPUT_PULLUP);
  // Print a message to the LCD.
  lcd.print("Lotto:");
  lcd.setCursor(7,0);
  delay(1000);
  lcd.print("?");
}

void loop() {
  
  if (index < 6){
    if (rngnum < 49){
      rngnum++;  
    }
    else{
      rngnum = 1;
      //debug++;
    }
  }
  else{
    if (rngnum < 9){
      rngnum++;
    }
    else{
      rngnum = 0;
    }
  }
  switch(index) {
    case 0 :
      if (digitalRead(4) == LOW){
        lcd.setCursor(7,0);
        lcd.print(rngnum);
        //lcd.print(debug);
        index++;
        delay(pause_for_button);
        lcd.setCursor(10,0);
        lcd.print("?");
      }
      break;

     case 1 :
      if (digitalRead(4) == LOW){
        lcd.setCursor(10,0);
        lcd.print(rngnum);
        index++;
        delay(pause_for_button);
        lcd.setCursor(13,0);
        lcd.print("?");
      }
      break;
      
     case 2 :
      if (digitalRead(4) == LOW){
        lcd.setCursor(13,0);
        lcd.print(rngnum);
        index++;
        delay(pause_for_button);
        lcd.setCursor(0,1);
        lcd.print("?");
      }
      break;
      
     case 3 :
      if (digitalRead(4) == LOW){
        lcd.setCursor(0,1);
        lcd.print(rngnum);
        index++;
        delay(pause_for_button);
        lcd.setCursor(3,1);
        lcd.print("?");
      }
      break;
      
     case 4 :
      if (digitalRead(4) == LOW){
        lcd.setCursor(3,1);
        lcd.print(rngnum);
        index++;
        delay(pause_for_button);
        lcd.setCursor(6,1);
        lcd.print("?");
      }
      break;
      
     case 5 :
      if (digitalRead(4) == LOW){
        lcd.setCursor(6,1);
        lcd.print(rngnum);
        index++;
        delay(pause_for_button);
        lcd.setCursor(9,1);
        lcd.print("Super?");
      }
      break;
      
     case 6 :
      if (digitalRead(4) == LOW){
        lcd.setCursor(14,1);
        lcd.print(rngnum);
        index++;
        delay(pause_for_button);
        exit(0);
      }
      break;
  }
    
}

